### Signal

# Gtk AppChooserButton::custom-item-activated

#### Declaration

    void
    custom_item_activated (
      GtkAppChooserButton* self,
      gchar* item_name,
      gpointer user_data
    )

#### Description [src]

Emitted when a custom item is activated.

Use `gtk_app_chooser_button_append_custom_item()`, to add custom items.

Default handler: The default handler is called before the handlers added via `g_signal_connect()`.
The signal can be detailed

#### Parameters

`item_name`

  Type: `gchar*`

  The name of the activated item.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.